<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>

<script>
    jQuery(function($){

        //Lorsque vous cliquez sur un lien de la classe poplight
        $('a.poplight').on('click', function() {
            var popID = $(this).data('rel'); //Trouver la pop-up correspondante
            var popWidth = $(this).data('width'); //Trouver la largeur

            //Faire apparaitre la pop-up et ajouter le bouton de fermeture
            $('#' + popID).fadeIn().css({ 'width': popWidth}).prepend('');
            //$('#' + popID).fadeIn().css({ 'width': popWidth}).prepend('<a href="#" class="close enleveclose"><i class="fa fa-times"></i></a>');

            //Récupération du margin, qui permettra de centrer la fenêtre - on ajuste de 80px en conformité avec le CSS
            var popMargTop = ($('#' + popID).height() + 80) / 2;
            var popMargLeft = ($('#' + popID).width() + 80) / 2;

            //Apply Margin to Popup
            $('#' + popID).css({
                'margin-top' : -popMargTop,
                'margin-left' : -popMargLeft
            });

            //Apparition du fond - .css({'filter' : 'alpha(opacity=80)'}) pour corriger les bogues d'anciennes versions de IE
            $('body').append('<div id="fade"></div>');
            $('#fade').css({'filter' : 'alpha(opacity=80)'}).fadeIn();

            return false;
        });


        //Close Popups and Fade Layer
        $('body').on('click', 'a.close, #fade', function() { //Au clic sur le body...
            $('#fade , .popup_block').fadeOut(function() {
                $('#fade, a.close').remove();
            }); //...ils disparaissent ensemble

            return false;
        });


    });
</script>



<!-- AJOUTER UN AVATAR -->
<div class="bookingFormAJAV" style="display:none;">
    <form id="formadd" method="POST" action="../../pages/comptes/ajout_avatar.php?id=<?php echo $id; ?>" enctype="multipart/form-data">

        <input type="file" name="image" id="uploadImg">

        <div class=" span12 fond_blanc_pop_up">
            <input style="width: 90px; height: 35px; border-radius: 0px;" type="submit" class="commun_aux_boutons bouton_vert inputRad" value="Upload">
            <a class="commun_aux_boutons bouton_annuler" tabindex="2" onclick="suitecreer();" style="display: inline-block;box-shadow: none;width: auto;border-radius: 0px;height: 33px;padding: 8px 16px !important;">Annuler</a>
        </div>
    </form>

    <script>
        $(document).ready(function (e) {
            $("#formadd").on('submit',(function(e) {
                e.preventDefault();
                $.ajax({
                    url: "../../pages/comptes/ajout_avatar.php",
                    type: "POST",
                    data:  new FormData(this),
                    contentType: false,
                    cache: false,
                    processData:false,
                    success: window.location.reload()
                });
            }));
        });
        function textecreer() {
            alert ("L'avatar a bien \351t\351 ajout\351\351");
        }

        function suitecreer() {
            window.location.reload();
        }

    </script>
</div>

<script>
    $('.booking').on('click',function(){
        var bookingForm = $('.bookingFormAJAV').html();
        rplm({
            title: "Ajouter un avatar",
            text: bookingForm,
            html: true,
            animation: "fadeIn",
            overlay: 'black',
            allowOutsideClick: true,
        });
    });
</script>
<!-- End AJOUTER UN AVATAR -->







<!--SUPPRIMER UN COMPTE-->
<div class="bookingFormSC" style="display:none;">
    <select name="id_compte" id="id_compte" class="id_compte">
        <option VALUE="-1">S&eacute;lectionnez un compte </option>
        <?php
        $reponse = $bdd->query("SELECT * FROM `admin` WHERE `admin` != 'Créateur' ORDER BY `nom` ") or die(print_r($bdd->errorInfo()));
        while ($donneescomptes = $reponse->fetch()){
            ?>
            <option value="<?php echo $donneescomptes['id'];?>"> <?php echo $donneescomptes['nom'];?> <?php echo $donneescomptes['prenom'];?> </option>
            <?php
        }
        ?>
    </select>

    <div class=" span12 fond_blanc_pop_up">
        <a onclick="supprcompte();suitecompte();" class="commun_aux_boutons bouton_vert" tabindex="1">Supprimer</a>
        <button class="commun_aux_boutons bouton_annuler" tabindex="2" style="display: inline-block; box-shadow: none;">Annuler</button>
    </div>

    <script language="JavaScript">

        function supprcompte() {

            if (confirm('Etes-vous sûr de vouloir supprimer ce compte')){

                var id_compte     = $('.rplm-alert .id_compte').val();

                $.ajax({
                    url: "compte/compte_supprimer_01.php?id=<?php echo $id; ?>&langue=",
                    type: "POST",
                    data: { id_compte:id_compte },
                    dataType : 'html',
                });

                alert('La compte a bien \351t\351 supprim\351e');
            }
        }

        function suitecompte() {
            document.location.href="compte.php?categorie=compte&id=<?php echo $id; ?>";
        }

    </script>

</div>
<script>
    $('.bookingSC').on('click',function(){
        var bookingForm = $('.bookingFormSC').html();
        rplm({
            title: "Supprimer un compte",
            text: bookingForm,
            html: true,
            animation: "tada",
            overlay: 'black',
            allowOutsideClick: true,
        });
    });
</script>


<!--MOT DE PASSE 01-->

<div class="bookingFormMDP01" style="display:none;">
    <input type="text" name="mdpa" class="mdpa" id="mdpa" placeholder="Ancien mot de passe"/>
    <input type="text" name="mdp1" class="mdp1" id="mdp1" placeholder="Nouveau mot de passe"/>
    <input type="text" name="mdp2" class="mdp2" id="mdp2" placeholder="Confirmation du nouveau mot de passe"/>

    <div class=" span12 fond_blanc_pop_up">
        <a onclick="verifmdp();mdpenregistre();savemoncompte();mdpok();" class="commun_aux_boutons bouton_vert" tabindex="1">Valider</a>
        <button class="commun_aux_boutons bouton_annuler" tabindex="2" style="display: inline-block; box-shadow: none;">Annuler</button>
    </div>
</div>

<script>
    $('.bookingMDP01').on('click',function(){
        var bookingForm = $('.bookingFormMDP01').html();
        rplm({
            title: "Modifier le mot de passe",
            text: bookingForm,
            html: true,
            animation: "tada",
            overlay: 'black',
            allowOutsideClick: true,
        });
    });
</script>


<!--MOT DE PASSE 02-->

<div class="bookingFormMDP02" style="display:none;">
    <input type="text" name="mdp1" class="mdp1" id="mdp1" placeholder="Nouveau mot de passe"/>
    <input type="text" name="mdp2" class="mdp2" id="mdp2" placeholder="Confirmation du nouveau mot de passe"/>

    <div class=" span12 fond_blanc_pop_up">
        <a onclick="verifmdp();mdpenregistre();modifcompteuser();mdpok();" class="commun_aux_boutons bouton_vert" tabindex="1">Valider</a>
        <button class="commun_aux_boutons bouton_annuler" tabindex="2" style="display: inline-block; box-shadow: none;">Annuler</button>
    </div>
</div>

<script>
    $('.bookingMDP02').on('click',function(){
        var bookingForm = $('.bookingFormMDP02').html();
        rplm({
            title: "Modifier le mot de passe",
            text: bookingForm,
            html: true,
            animation: "tada",
            overlay: 'black',
            allowOutsideClick: true,
        });
    });
</script>

